Arch Linux

Please read this before reporting a bug:
https://wiki.archlinux.org/index.php/Reporting_Bug_Guidelines

Do NOT report bugs when a package is just outdated, or it is in Unsupported. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#31712 - [abs] PKGBUILD-hg.proto uses wrong hg clone command

Attached to Project: Arch Linux
Opened by György Balló (City-busz) - Friday, 28 September 2012, 04:07 GMT
Last edited by Dave Reisner (falconindy) - Friday, 28 September 2012, 23:42 GMT
Task Type Bug Report
Category Packages: Extra
Status Closed
Assigned To Dave Reisner (falconindy)
Stéphane Gaudreault (stephane)
Architecture All
Severity Medium
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 0
Private No

Details

The line:
hg clone "$_hgroot" "$_hgrepo"

should be replaced by:
hg clone "$_hgroot/$_hgrepo" "$_hgrepo"

because the former is incompatible with the command used in makepkg:
hg clone $_hgroot/$_hgrepo ./src/$_hgrepo

For details, see the comments here: https://aur.archlinux.org/packages.php?ID=27045
This task depends upon

Closed by  Dave Reisner (falconindy)
Friday, 28 September 2012, 23:42 GMT
Reason for closing:  Won't fix
Additional comments about closing:  pacman 4.1 drastically changes VCS support anyways.
Comment by Alexander F Rødseth (xyproto) (trontonic) - Friday, 28 September 2012, 23:17 GMT
abs is currently an orphan. Assigning to the three last maintainers. (Please move this package to [community] or unsupported if there is no interest for it, thanks).
Comment by Allan McRae (Allan) - Friday, 28 September 2012, 23:33 GMT
No point in fixing this as there is native support for hg urls in pacman-4.1.

Loading...